Page MenuHomePhabricator

Upgrade monolog to 1.12.0
Closed, ResolvedPublic

Description

https://github.com/Seldaek/monolog/blob/master/CHANGELOG.mdown#1120-2014-12-29

Notable changes:

  • Break: HandlerInterface::isHandling now receives a partial record containing only a level key. This was always the intent and does not break any Monolog handler but is strictly speaking a BC break and you should check if you relied on any other field in your own handlers.
  • SamplingHandler was added
  • @csteipp's security issue was patched

Event Timeline

Legoktm created this task.Dec 30 2014, 5:57 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: Legoktm, csteipp, bd808.

We should hold off on doing this until @csteipp has had a chance to test his vulnerability scanner using this test case.

The test was successful! Hammering out exactly how we define the Jenkins job should be defined shouldn't block this task any more.

gerritbot added a subscriber: gerritbot.

Change 189894 had a related patch set uploaded (by BryanDavis):
Upgrade monolog to 1.12.0

https://gerrit.wikimedia.org/r/189894

Patch-For-Review

bd808 triaged this task as Normal priority.
bd808 set Security to None.
bd808 moved this task from Backlog to Needs Review/Feedback on the MediaWiki-Core-Team board.

Change 189894 merged by jenkins-bot:
Upgrade monolog to 1.12.0

https://gerrit.wikimedia.org/r/189894

Legoktm closed this task as Resolved.Feb 14 2015, 2:00 AM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Feb 17 2015, 11:44 PM
bd808 moved this task from Untriaged to Done on the Librarization board.Feb 18 2015, 4:32 AM
Restricted Application added a project: User-bd808. · View Herald TranscriptJul 29 2016, 8:19 PM
bd808 moved this task from To Do to Archive on the User-bd808 board.Sep 1 2016, 5:15 PM